/*!
  \file
  \brief シリアル通信

  \author Satofumi KAMIMURA

  $Id: serial_connection.c 1157 2009-07-18 11:18:40Z satofumi $
*/

#include "serial_connection.h"

static int is_connected_ = 0;
// !!! 受信バッファ、２つ分
// !!! 送信バッファ、１つ分


void serial_send(const char *data, int count)
{
  if (! is_connected_) {
    return;
  }

  (void)data;
  (void)count;

  // !!!
}


int serial_receive(char *data, int max_count)
{
  if (! is_connected_) {
    // 未接続の場合、最初にデータを受信した側と通信する
    if (0) {
      // !!!
      // !!! 送信バッファの初期化
      is_connected_ = 1;

    } else if (0) {
      // !!!
      // !!! 送信バッファの初期化
      is_connected_ = 1;
    }
  }

  (void)data;
  (void)max_count;

  // !!!

  return 0;
}

